/**
*Programme cree par The Clusters
*Interface de la pioche du jeu "Chkoba"
*Toutes les interfaces pour le reseau
*doivent heriter de Remote
*@author The Clusters
*@version 1.0
**/

package chkoba;
import chkoba.*;
import java.rmi.*;

/**
*	Interface Pioche
**/


public interface IPioche extends Remote
{
	//Methodes
	public ICarte piocher( ) throws RemoteException ;
	public void melanger( ) throws RemoteException ;
	public void remove( int i ) throws RemoteException;
	public void add( ICarte c ) throws RemoteException;
	
	//ACCESSEURS
	
	public int size( ) throws RemoteException ; 
	
	//AFFICHAGE
	
	public String affiche( ) throws RemoteException ;
	public boolean isEmpty( ) throws RemoteException;
	public ICarte get( int i ) throws RemoteException;
}